Bug 869256 - anaconda-ks.cfg doesn't contain partition fstype
anaconda-ks.cfg doesn't contain partition fstype
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2012-10-23 08:18 EDT by Martin Banas
Modified: 2014-02-05 07:40 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:40:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda.log (25.46 KB, text/plain)
2012-10-23 08:19 EDT, Martin Banas
no flags Details
program.log (74.32 KB, text/plain)
2012-10-23 08:19 EDT, Martin Banas
no flags Details
storage.log (118.01 KB, text/plain)
2012-10-23 08:19 EDT, Martin Banas
no flags Details
sys.log (80.70 KB, text/plain)
2012-10-23 08:19 EDT, Martin Banas
no flags Details

  None (edit)
Description Martin Banas 2012-10-23 08:18:07 EDT
Description of problem:
anaconda-ks.cfg file doesn't contain -fstype options for partitions like /boot and /. Current anaconda-ks.cfg for native partitioning looks like this:
part /boot --asprimary --size=500 --label=boot
part  --fstype="swap" --recommended --size=3968 --label=swap
part / --grow --size=2048

Version-Release number of selected component (if applicable):
Fedora-18-Beta-TC6
anaconda-18.19

How reproducible:
always

Steps to Reproduce:
1. Start installation, proceed to main hub
2. Click on partitioning, select manual partitioning
3. Create /, /boot and swap partition, verify all / and /boot are set to ext4
4. Finish the installation, reboot and check /root/anaconda-ks.cfg file
  
Actual results:
No -fstype on /boot, / and probably also other partitions:

part /boot --asprimary --size=500 --label=boot
part  --fstype="swap" --recommended --size=3968 --label=swap
part / --grow --size=2048

Expected results:
Anaconda should write also -fstype to all partitions, like it did before:

part /boot --fstype="ext4" --asprimary --size=500 --label=boot
part  --fstype="swap" --recommended --size=3968 --label=swap
part / --fstype="ext4" --grow --size=2048


Additional info:
Comment 1 Martin Banas 2012-10-23 08:19:33 EDT
Created attachment 632057 [details]
anaconda.log
Comment 2 Martin Banas 2012-10-23 08:19:36 EDT
Created attachment 632058 [details]
program.log
Comment 3 Martin Banas 2012-10-23 08:19:44 EDT
Created attachment 632059 [details]
storage.log
Comment 4 Martin Banas 2012-10-23 08:19:47 EDT
Created attachment 632060 [details]
sys.log
Comment 5 Martin Banas 2012-12-13 05:14:14 EST
Hello,

Could somebody look at this one?
Comment 6 Chris Lumens 2012-12-13 10:16:12 EST
This isn't going to get looked at until after we're done with F18 blockers.
Comment 7 Fedora End Of Life 2013-12-21 04:10:38 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2014-02-05 07:40:43 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.